# Protocol

## Get protocol information

#### Method

get

#### Path

/v1/protocol

#### Parameters

* `id` : required, eg: `bsc_pancakeswap`, `curve`, `uniswap`, [for more info](#returns-1).

#### Returns

`Object` - An object with following fields:

* `id` : `string` - The protocol's id.
* `chain` : `string` - The chain's id.
* `name` : `string` - The protocol's name. `null` if not defined in the contract and not available from other sources.
* `logo_url` : `string` - URL of the protocol's logo image. `null` if not available.
* `site_url` : `string` - prioritize websites that can be interacted with, not official websites.
* `has_supported_portfolio` : `boolean` - Is the portfolio already supported.
* `tvl`: `integer` - User deposit value in this protocol.

Request

{% tabs %}
{% tab title="Curl" %}

```bash
curl -X 'GET' \
  'https://pro-openapi.debank.com/v1/protocol?id=compound' \
  -H 'accept: application/json' -H 'AccessKey: YOUR_ACCESSKEY'
```

{% endtab %}
{% endtabs %}

Result

```json
{
  "id": "compound",
  "chain": "eth",
  "name": "Compound",
  "site_url": "https://app.compound.finance",
  "logo_url": "https://static.debank.com/image/project/logo_url/compound/0b792243f1f68e9ed082f5a49ee6f21d.png",
  "has_supported_portfolio": true,
  "tvl": 12763095483.420198
}
```

## Get the list of the protocol information

#### Method

get

#### Path

/v1/protocol/list

#### Parameters

* `chain_id` : required, chain id, eg: `eth`, `bsc`, `xdai`, [for more info](https://docs.cloud.debank.com/en/readme/chain#returns-1).

#### Returns

`Array` of `Object` - An object with following fields:

* `id` : `string` - The protocol's id.
* `chain` : `string` - The chain's id.
* `name` : `string` - The protocol's name. `null` if not defined in the contract and not available from other sources.
* `logo_url` : `string` - URL of the protocol's logo image. `null` if not available.
* `site_url` : `string` - prioritize websites that can be interacted with, not official websites.
* `has_supported_portfolio` : `boolean` - Is the portfolio already supported.
* `tvl`: `integer` - User deposit value in this protocol.

Request

{% tabs %}
{% tab title="Curl" %}

```bash
curl -X GET "https://pro-openapi.debank.com/v1/protocol/list?chain_id=eth" \
    -H "accept: application/json" -H 'AccessKey: YOUR_ACCESSKEY'
```

{% endtab %}
{% endtabs %}

Result

```json
[
  {
    "id": "0x",
    "chain": "eth",
    "name": "0x",
    "site_url": "https://0x.org",
    "logo_url": "https://static.debank.com/image/project/logo_url/0x/140b607264f4741133c35eb32c6bc314.png",
    "has_supported_portfolio": true,
    "tvl": 76569161.44038972
  },
  {
    "id": "1inch",
    "chain": "eth",
    "name": "1inch V1",
    "site_url": "https://1inch.exchange",
    "logo_url": "https://static.debank.com/image/project/logo_url/1inch/ac1216f33116fd76db915cb0b0f5c666.png",
    "has_supported_portfolio": false,
    "tvl": 0
  }
  // more...
]
```

## Get all protocols of supported chains

#### Method

get

#### Path

/v1/protocol/all\_list

#### Parameters

* `chain_ids` : optional, list of chain id, eg: eth, bsc, xdai, [for more info](https://docs.cloud.debank.com/en/readme/chain#returns-1).

#### Returns

`Array` of `Object` - An object with following fields:

* `id` : `string` - The protocol's id.
* `chain` : `string` - The chain's id.
* `name` : `string` - The protocol's name. `null` if not defined in the contract and not available from other sources.
* `logo_url` : `string` - URL of the protocol's logo image. `null` if not available.
* `site_url` : `string` - prioritize websites that can be interacted with, not official websites.
* `has_supported_portfolio` : `boolean` - Is the portfolio already supported.
* `tvl`: `integer` - User deposit value in this protocol.

Request

{% tabs %}
{% tab title="Curl" %}

```bash
curl -X GET "https://pro-openapi.debank.com/v1/protocol/all_list?chain_ids=eth,bsc" \
    -H "accept: application/json" -H 'AccessKey: YOUR_ACCESSKEY'
```

{% endtab %}
{% endtabs %}

Result

```json
[
  {
    "id": "0x",
    "chain": "eth",
    "name": "0x",
    "site_url": "https://0x.org",
    "logo_url": "https://static.debank.com/image/project/logo_url/0x/140b607264f4741133c35eb32c6bc314.png",
    "has_supported_portfolio": true,
    "tvl": 76569161.44038972
  },
  {
    "id": "1inch",
    "chain": "eth",
    "name": "1inch V1",
    "site_url": "https://1inch.exchange",
    "logo_url": "https://static.debank.com/image/project/logo_url/1inch/ac1216f33116fd76db915cb0b0f5c666.png",
    "has_supported_portfolio": false,
    "tvl": 0
  }
  // more...
]

```

## Get the list of the app-protocol information

#### Method

get

#### Path

/v1/app\_protocol/list

#### Parameters

none

#### Returns

`Array` of `Object` - An object with following fields:

* `id` : `string` - The app-protocol's id.
* `name` : `string` - The app-protocol's name.
* `logo_url` : `string` - URL of the app-protocol's logo image. `null` if not available.
* `site_url` : `string` - prioritize websites that can be interacted with, not official websites.
* `has_supported_portfolio` : `boolean` - Is the portfolio already supported.

Request

{% tabs %}
{% tab title="Curl" %}

```bash
curl -X GET "https://pro-openapi.debank.com/v1/app_protocol/list" \
    -H "accept: application/json" -H 'AccessKey: YOUR_ACCESSKEY'
```

{% endtab %}
{% endtabs %}

Result

```json
[
    {
        "id": "hyperliquid",
        "name": "Hyperliquid",
        "site_url": "https://app.hyperliquid.xyz",
        "logo_url": "https://static.debank.com/image/project/logo_url/arb_hyperliquid/98dcfcb24e1ec2ab0da74679e0bfa0bb.png",
        "has_supported_portfolio": true
    },
    {
        "id": "lighter",
        "name": "Lighter",
        "site_url": "https://app.lighter.xyz",
        "logo_url": "https://static.debank.com/image/project/logo_url/arb_lighter/bdafdb3b7eaf487c5914d448fc559671.png",
        "has_supported_portfolio": true
    },
    {
        "id": "opinion",
        "name": "Opinion",
        "site_url": "https://app.opinion.trade/",
        "logo_url": "https://static.debank.com/image/project/logo_url/app_opinion/03c1258a684791f0cc6042124f8ab1d4.png",
        "has_supported_portfolio": true
    },
    {
        "id": "polymarket",
        "name": "Polymarket",
        "site_url": "https://polymarket.com/",
        "logo_url": "https://static.debank.com/image/project/logo_url/app_polymarket/265aca8cef9212e094ef24c71a01c175.png",
        "has_supported_portfolio": true
    }
    // more...
]
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cloud.debank.com/en/readme/api-pro-reference/protocol.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
